<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines contain the default error messages used by
    | the validator class. Some of these rules have multiple versions such
    | as the size rules. Feel free to tweak each of these messages here.
    |
    */

    'accepted'             => ' Атрибут: должен быть принят.',
    'active_url'           => ' Атрибут: не является допустимым URL-адресом.',
    'after'                => ' Атрибут: должен быть датой после: даты.',
    'after_or_equal'       => ' Атрибут: должен быть датой после или равной: дате.',
    'alpha'                => ' Атрибут: может содержать только буквы.',
    'alpha_dash'           => ' Атрибут: может содержать только буквы, цифры и тире.',
    'alpha_num'            => ' Атрибут: может содержать только буквы и цифры.',
    'array'                => ' Атрибут: должен быть массивом.',
    'before'               => ' Атрибут: должен быть дата до: дата.',
    'before_or_equal'      => ' Атрибут: должен быть дата до или равна: дата.',
    'between'              => [
        'numeric' => ' Атрибут: должен быть между: min и: max.',
        'file'    => ' Атрибут: должен быть между: min и: max kilobytes.',
        'string'  => ' Атрибут: должен быть между: min и: max символами.',
        'array'   => 'The :attribute must have between :min and :max items.',
    ],
    'boolean'              => ' Поле атрибута: должно быть истинным или ложным.',
    'confirmed'            => ' Подтверждение атрибута не соответствует.',
    'date'                 => ' Атрибут не является допустимой датой.',
    'date_format'          => ' Атрибут не соответствует формату: format.',
    'different'            => ' Атрибут и: другие должны быть разными.',
    'digits'               => ' Атрибут должен быть: цифры цифр.',
    'digits_between'       => ' Атрибут должен быть между: min и: max digit.',
    'dimensions'           => ' Атрибут имеет недопустимые размеры изображения.',
    'distinct'             => ' Поле атрибута имеет двойное значение.',
    'email'                => ' Атрибут должен быть действительным адресом электронной почты.',
    'exists'               => ' Выбранный атрибут недействителен.',
    'file'                 => ' Атрибут должен быть файлом.',
    'filled'               => ' Поле атрибута должно иметь значение.',
    'image'                => ' Атрибут должен быть изображением.',
    'in'                   => ' Выбранный атрибут недействителен.',
    'in_array'             => ' Поле атрибута не существует в других.',
    'integer'              => ' Атрибут должен быть целым числом.',
    'ip'                   => ' Атрибут должен быть действительным IP-адресом.',
    'ipv4'                 => ' Атрибут должен быть действительным адресом IPv4.',
    'ipv6'                 => ' Атрибут должен быть действительным адресом IPv6.',
    'json'                 => ' Атрибут должен быть действительной строкой JSON.',
    'max'                  => [
        'numeric' => ' Атрибут может быть не больше: max.',
        'file'    => ' Атрибут может быть не больше: max kilobytes.',
        'string'  => ' Атрибут может быть не больше: max символов.',
        'array'   => ' У атрибута может быть не более: max items.',
    ],
    'mimes'                => ' Атрибут должен быть файлом типа: значения.',
    'mimetypes'            => 'The :attribute must be a file of type: :values.',
    'min'                  => [
        'numeric' => ' Атрибут должен быть не менее: min.',
        'file'    => ' Атрибут должен быть не менее: мин. Килобайт.',
        'string'  => ' Атрибут должен быть не менее: min characters.',
        'array'   => ' Атрибут должен иметь по крайней мере: мин. Пункты.',
    ],
    'not_in'               => ' Выбранный атрибут недействителен.',
    'numeric'              => ' Атрибут должен быть числом.',
    'present'              => ' Поле атрибута должно присутствовать.',
    'regex'                => ' Недопустимый формат атрибута.',
    'required'             => ' Поле атрибута требуется.',
    'required_if'          => ' Поле атрибута требуется, если другое: значение.',
    'required_unless'      => ' Поле атрибута требуется, если иное не указано: значения.',
    'required_with'        => ' Поле атрибута требуется, если: есть значения.',
    'required_with_all'    => ' Поле атрибута: требуется, когда: значения присутствуют.',
    'required_without'     => ' Поле атрибута требуется, когда: значений нет.',
    'required_without_all' => ' Поле атрибута требуется, если ни одно из значений.',
    'same'                 => ' Атрибут и: другие должны совпадать.',
    'size'                 => [
        'numeric' => ' Атрибут должен быть: size.',
        'file'    => ' Атрибут должен быть: size kilobytes.',
        'string'  => ' Атрибут должен быть: size characters.',
        'array'   => ' Атрибут должен содержать: элементы размера.',
    ],
    'string'               => ' Атрибут должен быть строкой.',
    'timezone'             => ' Атрибут должен быть действительной зоной.',
    'unique'               => ' Атрибут уже принят.',
    'uploaded'             => ' Не удалось загрузить атрибут.',
    'url'                  => ' Недопустимый формат атрибута.',

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | Here you may specify custom validation messages for attributes using the
    | convention "attribute.rule" to name the lines. This makes it quick to
    | specify a specific custom language line for a given attribute rule.
    |
    */

    'custom' => [
        'attribute-name' => [
            'rule-name' => ' заказ сообщения ',
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Attributes
    |--------------------------------------------------------------------------
    |
    | The following language lines are used to swap attribute place-holders
    | with something more reader friendly such as E-Mail Address instead
    | of "email". This simply helps us make messages a little cleaner.
    |
    */

    'attributes' => [],

];

