<?php $__env->startSection('title'); ?>
	<?php echo e(__('accounts.title')); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
	<div class="tab-white" style="padding: 15px 10px;">
		<div class="row">
			<div class="col-md-12">
				<button type="button" class="btn btn-success" id="addNewUserBtn"><i class="fa fa-plus"></i> <?php echo e(__('accounts.add_new_user')); ?></button>
				<button type="button" class="btn btn-success" id="exportUserEmails"><i class="fa fa-file-o"></i> <?php echo e(__('accounts.export_emails')); ?></button>
				<button type="button" class="btn btn-danger" id="deleteUserBtn"><i class="fa fa-trash"></i> <?php echo e(__('accounts.delete')); ?></button>
			</div>
			<div class="col-md-12" style="margin-top: 10px;">
				<div class="table-responsive" style="border: none;">
					<table class="table table-bordered" id="usersTable">
						<thead>
						<tr>
							<th class="ch-1" style="text-align: center; width: 40px;">
								<input type="checkbox" id="selectAllChckbx">
								<label for="selectAllChckbx" class="check-box red"></label>
							</th>
							<th><?php echo e(__('accounts.Username')); ?></th>
							<th><?php echo e(__('accounts.E-mail')); ?></th>
							<th><?php echo e(__('accounts.Joined on')); ?></th>
							<th><?php echo e(__('accounts.Facebook profile')); ?></th>
							<th><?php echo e(__('accounts.Role')); ?></th>
							<th><?php echo e(__('accounts.Status')); ?></th>
							<th></th>
						</tr>
						</thead>
						<tbody>
						<?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $userInf): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
							<tr data-id="<?php echo e($userInf->id); ?>">
								<td style="text-align: center;"><input type="checkbox" class="userCheckbox"></td>
								<td><?php echo e($userInf->username); ?></td>
								<td><?php echo e($userInf->email); ?></td>
								<td><?php echo e(date('d-m-Y' , strtotime($userInf->created_at))); ?></td>
								<td><a href="https://fb.com/<?php echo e($userInf->fb_user_id); ?>" target="_blank"><?php echo e(__('accounts.Facebook link')); ?></a></td>
								<td><?php echo e(@$userInf->user_role->name); ?></td>
								<td style="text-align: center;">
									<?php if($userInf->status == 1): ?>
									<button type="button" class="btn btn-sm btn-success switchStatus" data-status="on"><i class="fa fa-fw fa-toggle-on"></i></button>
									<?php else: ?>
									<button type="button" class="btn btn-sm btn-default switchStatus" data-status="off"><i class="fa fa-fw fa-toggle-on"></i></button>
									<?php endif; ?>
								</td>
								<td>
									<button type="button" class="btn btn-primary btn-sm editUserBtn"><i class="fa fa-edit"></i> <?php echo e(__('accounts.Edit')); ?></button>
									<button type="button" onclick="location.href = '<?php echo e(url('accounts/' . $userInf->id)); ?>';" class="btn btn-primary btn-sm"><i class="fa fa-info-circle"></i> <?php echo e(__('accounts.Details')); ?></button>
								</td>
							</tr>
						<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
						</tbody>
					</table>
				</div>
			</div>
			<div class="col-md-12">
				<?php echo e($users->links()); ?>

			</div>
		</div>
	</div>

	<script>
		$("#addNewUserBtn").click(function()
		{
			proApp.loadModal('<?php echo e(url('accounts/addEditUser/0')); ?>' , '' , {});
		});

		$(".editUserBtn").click(function()
		{
			proApp.loadModal('<?php echo e(url('accounts/addEditUser/')); ?>/' + $(this).closest('tr').attr('data-id') , '' , {});
		});

		$("#usersTable").on('click' , '.switchStatus' , function()
		{
			var tBtn	= $(this),
				userId	= $(this).closest('tr').attr('data-id'),
				status	= $(this).attr('data-status') == 'on' ? 'off' : 'on';

			proApp.ajax('<?php echo e(url('ajax/accounts/userStatusChange')); ?>' , {
				'id':		userId,
				'status':	status
			} , function( result )
			{
				if(status == 'off')
				{
					tBtn.removeClass('btn-success').addClass('btn-default').attr('data-status' , status);
				}
				else
				{
					tBtn.removeClass('btn-default').addClass('btn-success').attr('data-status' , status);
				}
			});
		});

		$("#selectAllChckbx").click(function()
		{
			if($(this).is(':checked'))
			{
				$(".userCheckbox:not(:checked)").prop('checked' , true);
			}
			else
			{
				$(".userCheckbox:checked").prop('checked' , false);
			}
		});

		$("#deleteUserBtn").click(function()
		{
			var selectedUsersCount = $("#usersTable .userCheckbox:checked").length;

			if( selectedUsersCount == 0 )
			{
				return;
			}

			proApp.confirm('<?php echo e(__('accounts.delete_confirmation')); ?>' , '<?php echo e(__('accounts.are_you_sure_to_delete')); ?>' , function()
			{
				var users = [];

				$("#usersTable>tbody>tr").each(function()
				{
					if( $(this).find('.userCheckbox').is(':checked') )
					{
						users.push( $(this).attr('data-id') );
					}
				});

				proApp.ajax('<?php echo e(url('ajax/accounts/deleteUsers')); ?>' , {
					'users' : users
				} , function()
				{
					location.reload();
				});
			});
		});

		$("#exportUserEmails").click(function()
		{
			proApp.loadModal('<?php echo e(url('accounts/export')); ?>' , 'Export' );
		});

	</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>