<!DOCTYPE html>
<html lang="<?php echo e(app()->getLocale()); ?>">
<head>

    <title><?php echo $__env->yieldContent('title'); ?> <?php echo e(' | ' . siteOption('site_name')); ?></title>

    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="icon" type="image/png" href="<?php echo e(siteOption('site_favicon')); ?>" >
    <meta name="description" content="<?php echo e(siteOption('site_description')); ?>">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <!-- <link rel="stylesheet" type="text/css" href="css/bootstrap/bootstrap.css"> -->
    <!-- <link rel="stylesheet" type="text/css" href="css/bootstrap/bootstrap-theme.css"> -->

    <!-- <link rel="stylesheet" href="css/font-awesome.css"> -->

	<link rel="stylesheet" type="text/css" href="<?php echo e(url('css/vendor.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(url('css/style.css')); ?>">
	<link rel="stylesheet" href="<?php echo e(url('css/popup/popop.css')); ?>">
	<link rel="stylesheet" href="<?php echo e(url('plugin/datepicker/css/bootstrap-datepicker3.min.css')); ?>">
	<link rel="stylesheet" href="<?php echo e(url('css/jquery-ui.css')); ?>" />
    <?php echo $__env->yieldContent('style'); ?>

    <script type="text/javascript" src="<?php echo e(url('js/jquery-3.2.1.js')); ?>"></script>
	<script type="text/javascript" src="<?php echo e(url('js/bootstrap.min.js')); ?>"></script>
	<script type="text/javascript" src="<?php echo e(url('plugin/datepicker/js/bootstrap-datepicker.min.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(url('js/main.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(url('js/proApp.js')); ?>"></script>
	<script type="text/javascript" src="<?php echo e(url('js/jquery-ui.min.js')); ?>"></script>
    <?php echo $__env->yieldContent('script'); ?>

	<?php if( siteOption('custom_css') ): ?>
		<style>
			<?php echo siteOption('custom_css'); ?>

		</style>
	<?php endif; ?>
	<?php echo siteOption('header_js'); ?>

</head>
<body>
    <div id="fullcontent">
        <header>
            <div class="container-fluid left-reset">
                <div class="row">
                    <div class="col-xs-1 col-sm-1 col-md-1 col-lg-1 hidden-sm hidden-xs" id="logo-acitve">
                        <div class="logo-sector">
                            <div class="back-color">
                                <div class="img-area">
                                    <a href="<?php echo e(url('/home')); ?>">
                                        <img src="<?php echo e(siteOption('site_logo_xs' , url('img/combined-Shape.png'))); ?>" alt="">
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xs-5 col-sm-5 col-md-5 col-lg-5">
                        <div class="toggle-menu-bar">
                            <img src="<?php echo e(url('img/group-1.png')); ?>" alt="" id="menu-bar-btn">
                            <span><?php echo $__env->yieldContent('title'); ?></span>
                        </div>
                    </div>
                    <div class="col-xs-6 col-sm-7 col-md-6 col-lg-6">
                        <div class="user-profil">

                            <div class="col-lg-6 pull-right">
                                <div class="user">

                                    <div class="profil-item pull-right dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                                        <div class="profil-img pull-left">
                                            <?php if(isset($fbAccInf['fb_account_id'])): ?>
                                            <img class="img-circle " width="45px" height="45px" src="https://graph.facebook.com/<?php echo e($fbAccInf['fb_account_id']); ?>/picture?redirect=1&height=40&width=40&type=normal">
                                            <?php else: ?>
                                            <img class="img-circle " width="45px" height="45px" src="<?php echo e(url('img/facebookUser.jpg')); ?>">
                                            <?php endif; ?>
                                            <span></span>
                                        </div>
                                        <span class="hidden-xs" ><?php echo e($fbAccInf['name'] ?? 'Facebook User'); ?></span>
                                    </div>

									<ul class="dropdown-menu pull-right">

										<?php $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
										<li>
											<a href="<?php echo e(url('switch_fb_account/' . $account->id)); ?>">
												<img src="https://graph.facebook.com/<?php echo e($account->fb_account_id); ?>/picture?redirect=1&amp;height=40&amp;width=40&amp;type=normal" style="vertical-align:middle;" class="fbProfileImg" onerror="this.src = '<?php echo e(url('img/facebookUser.jpg')); ?>'" width="32px" height="32px">
												<?php echo e($account->name); ?>

											</a>
										</li>
										<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

								
										<li><a href="<?php echo e(url('settings/fb_accounts')); ?>"><?php echo e(__('general.Add Facebook account')); ?></a></li>
										
										<li><a href="<?php echo e(url('settings')); ?>"><i class="fa fa-fw fa-cog" style="    position: relative;left: -4px;" aria-hidden="true"></i><?php echo e(__('general.Settings')); ?></a></li>


										<li>
											<a href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault(); document.getElementById('frm-logout').submit();"><i class="fa fa-sign-out" aria-hidden="true" style="margin-right:6px;"></i><?php echo e(__('general.Logout')); ?></a>
											<form id="frm-logout" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
												<?php echo e(csrf_field()); ?>

											</form>
										</li>
									</ul>

                                </div>
								<div class="dropdown" style="width: 40px !important; float: right;">
									<a href="#" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
										<i class="fa fa-bell-o"></i>
										<?php $notificationsCount = \App\Notification::myCount() ?>
										<span class="label label-danger notifCount"><?php echo e($notificationsCount > 0 ? $notificationsCount : ''); ?></span>
									</a>
									<div class="dropdown-menu pull-right" style="width: 350px; line-height: 35px;">
										<div style="padding-left: 20px;"><?php echo e(__('general.you_have_n_notifications' , ['count' => $notificationsCount])); ?></div>
										<div class="notification-holder">
											<?php $__currentLoopData = \App\Notification::my(6); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $notifInf): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
												<a href="<?php echo e(url('notifications/' . $notifInf->id)); ?>" class="notification1"><?php echo e(textShorter($notifInf->text , 40)); ?></a>
											<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
										</div>
										<div>
											<a href="<?php echo e(url('notifications')); ?>" class="notification1"><i class="fa fa-bullhorn"></i> <?php echo e(__('general.All notifications')); ?></a>
										</div>
									</div>
								</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </header>

        <div id="main_content">

            <div class="col-md-1 left-reset">
                <aside class="hidden-xs hidden-sm aside hidden-print nav-xs" id="nav-aside">
                    <nav>
                        <ul>
                            <li class="nav-item<?php echo e(Route::currentRouteName()=='home' ? ' active-nav' : ''); ?>">
                                <a href="<?php echo e(url('home')); ?>" title="<?php echo e(__('general.Add post')); ?>">
                                    <img src="<?php echo e(url('img/menu-icons/plus.svg')); ?>">
                                </a>
                            </li>
                            <li class="nav-item<?php echo e(Route::currentRouteName()=='publishing' ? ' active-nav' : ''); ?>" title="<?php echo e(__('general.Publishing')); ?>">
                                <a href="<?php echo e(url('publishing')); ?>">
                                    <img src="<?php echo e(url('img/menu-icons/2.svg')); ?>">
                                </a>
                            </li>
                            <li class="nav-item<?php echo e(Route::currentRouteName()=='insights' ? ' active-nav' : ''); ?>">
                                <a href="<?php echo e(url('insights')); ?>" title="<?php echo e(__('general.Insights')); ?>">
                                    <img src="<?php echo e(url('img/menu-icons/statisticks.svg')); ?>">
                                </a>
                            </li>
                            <?php if( Auth::user()->is_admin ): ?>
                            <li class="nav-item<?php echo e(Route::currentRouteName()=='accounts' ? ' active-nav' : ''); ?>">
                                <a href="<?php echo e(url('accounts')); ?>" title="<?php echo e(__('general.Accounts')); ?>">
                                    <img src="<?php echo e(url('img/menu-icons/users.svg')); ?>">
                                </a>
                            </li>
                            <?php endif; ?>
                            <li class="nav-item<?php echo e(Route::currentRouteName()=='settings' ? ' active-nav' : ''); ?>">
                                <a href="<?php echo e(url('settings')); ?>" title="<?php echo e(__('general.Settings')); ?>">
                                    <img src="<?php echo e(url('img/menu-icons/settings.svg')); ?>">
                                </a>
                            </li>
                        </ul>
                    </nav>
                </aside>
                <div id="side-nav">

                    <a href="javascript:void(0)" class="close-btn" id="close-sidenav">&times;</a>
                    <nav class="nav-primary">
                        <ul class="nav">
                            <li<?php echo Route::currentRouteName()=='home' ? ' class="active"' : ''; ?>>
                                <a href="<?php echo e(url('home')); ?>" class="auto font-bold">
                                    <i class="material-icons"></i>
                                    <span><?php echo e(__('general.Add post')); ?></span>
                                </a>
                            </li>
                            <li<?php echo Route::currentRouteName()=='publishing' ? ' class="active"' : ''; ?>>
                                <a href="<?php echo e(url('publishing')); ?>" class="auto font-bold">
                                    <i class="material-icons"></i>
                                    <span><?php echo e(__('general.Publishing')); ?></span>
                                </a>
                            </li>
                            <li<?php echo Route::currentRouteName()=='insights' ? ' class="active"' : ''; ?>>
                                <a href="<?php echo e(url('insights')); ?>" class="auto font-bold">
                                    <i class="material-icons"></i>
                                    <span><?php echo e(__('general.Insights')); ?></span>
                                </a>
                            </li>
                            <li<?php echo Route::currentRouteName()=='accounts' ? ' class="active"' : ''; ?>>
                                <a href="<?php echo e(url('accounts')); ?>" class="auto font-bold">
                                    <i class="material-icons"></i>
                                    <span><?php echo e(__('general.Accounts')); ?></span>
                                </a>
                            </li>
                            <li<?php echo Route::currentRouteName()=='settings' ? ' class="active"' : ''; ?>>
                                <a href="<?php echo e(url('settings')); ?>" class="auto font-bold">
                                    <i class="material-icons"></i>
                                    <span><?php echo e(__('general.Settings')); ?></span>
                                </a>
                            </li>
                        </ul>
                    </nav>
                </div>
            </div>

            <div class="content-holder">
                <div id="main_section">
					<?php if( !empty(siteOption('ads_banner')) && in_array( (string)\Illuminate\Support\Facades\Auth::user()->user_role_id , explode(',' , (string)siteOption('show_ads_to')) ) ): ?>
					<div><?php echo siteOption('ads_banner'); ?></div>
					<?php endif; ?>
                	<?php echo $__env->yieldContent('content'); ?>
                </div>
            </div>

        </div>

      
    </div>

</body>
<?php echo siteOption('footer_js'); ?>

</html>