<!DOCTYPE html>
<html lang="<?php echo e(app()->getLocale()); ?>">
<head>

    <title>Publishing</title>

    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <!-- <link rel="stylesheet" type="text/css" href="css/bootstrap/bootstrap.css"> -->
    <!-- <link rel="stylesheet" type="text/css" href="css/bootstrap/bootstrap-theme.css"> -->

    <!-- <link rel="stylesheet" href="css/font-awesome.css"> -->

    <link rel="stylesheet" type="text/css" href="<?php echo e(url('css/vendor.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(url('css/style.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(url('css/popup/popop.css')); ?>">

    <script src="<?php echo e(url('js/jquery-3.2.1.js')); ?>"></script>
    <script src="<?php echo e(url('js/bootstrap.min.js')); ?>"></script>

</head>
<body>
    <div id="fullcontent">
        <header>
            <div class="container-fluid left-reset">
                <div class="row">
                    <div class="col-lg-1 hidden-sm hidden-xs" id="logo-acitve">
                        <div class="logo-sector">
                            <div class="back-color">
                                <div class="img-area">
                                    <a href="<?php echo e(url('/')); ?>">
                                        <img src="<?php echo e(url('img/combined-Shape.png')); ?>" alt="" >
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-5">
                        <div class="toggle-menu-bar">
                            <img src="<?php echo e(url('img/group-1.png')); ?>" alt="" id="menu-bar-btn">
                            <span>Publishing</span>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="user-profil">

                            <div class="col-lg-6 pull-right">
                                <div class="user">
                                    <div class="profil-item pull-right">
                                        <div class="profil-img pull-left">
                                            <img class="img-circle " width="45px" height="45px" src="<?php echo e(url('img/a.jpg')); ?>">
                                            <span></span>
                                        </div>
                                        <span class="hidden-xs" >Hello, <?php echo e(Auth::user()->name); ?></span>
                                    </div>
                                </div>
                            </div>

                            <div class="col-lg-6 col-md-6 reset-mar-pad pull-right head-btns">
                                <div class="confirm-but">
                                    <button class="cancel btn" id="cancel-del-pos">Cancel</button>

                                    <button class="delete-user-red btn" id="delete-post-acces">Delete post</button>

                                    <button class="delete-user-red btn" id="delete-post-sel">Delete selected</button>

                                    <button class="clear-log btn" id="clear-log-btn">Clear log</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </header>

        <div id="main_content">

            <div class="col-md-1 left-reset">
                <aside class="hidden-xs hidden-sm aside hidden-print nav-xs" id="nav-aside">
                    <nav>
                        <ul>
                            <li class="nav-item<?php echo e(Route::currentRouteName()=='home' ? ' active-nav' : ''); ?>">
                                <a href="<?php echo e(url('home')); ?>" title="Add post">
                                    <img src="<?php echo e(url('img/menu-icons/plus.svg')); ?>">
                                </a>
                            </li>
                            <li class="nav-item<?php echo e(Route::currentRouteName()=='publishing' ? ' active-nav' : ''); ?>" title="Publishing">
                                <a href="<?php echo e(url('publishing')); ?>">
                                    <img src="<?php echo e(url('img/menu-icons/2.svg')); ?>">
                                </a>
                            </li>
                            <li class="nav-item<?php echo e(Route::currentRouteName()=='insights' ? ' active-nav' : ''); ?>">
                                <a href="<?php echo e(url('insights')); ?>" title="Insights">
                                    <img src="<?php echo e(url('img/menu-icons/statisticks.svg')); ?>">
                                </a>
                            </li>
                            <li class="nav-item<?php echo e(Route::currentRouteName()=='accounts' ? ' active-nav' : ''); ?>">
                                <a href="<?php echo e(url('accounts')); ?>" title="Accounts">
                                    <img src="<?php echo e(url('img/menu-icons/users.svg')); ?>">
                                </a>
                            </li>
                            <li class="nav-item<?php echo e(Route::currentRouteName()=='settings' ? ' active-nav' : ''); ?>">
                                <a href="<?php echo e(url('settings')); ?>" title="Settings">
                                    <img src="<?php echo e(url('img/menu-icons/settings.svg')); ?>">
                                </a>
                            </li>
                        </ul>
                    </nav>
                </aside>
                <div id="side-nav">

                    <a href="javascript:void(0)" class="close-btn" id="close-sidenav">&times;</a>
                    <nav class="nav-primary">
                        <ul class="nav">
                            <li >
                                <a href="<?php echo e(url('home')); ?>" class="auto font-bold">
                                    <i class="material-icons">home</i>
                                    <span>Fbposter</span>
                                </a>
                            </li>
                            <li  >
                                <a href="newpost.html" class="auto font-bold">
                                    <i class="material-icons">add_circle_outline</i>
                                    <span>Add post</span>
                                </a>
                            </li>
                            <li class="active">
                                <a href="publishing.html" class="auto font-bold">
                                    <i class="material-icons">filter_none</i>
                                    <span>Publishing</span>
                                </a>
                            </li>
                            <li  >
                                <a href="insights.html" class="auto font-bold">
                                    <i class="material-icons">timeline</i>
                                    <span>Insights</span>
                                </a>
                            </li>
                            <li  >
                                <a href="accounts.html" class="auto font-bold">
                                    <i class="material-icons">group</i>
                                    <span>Accounts</span>
                                </a>
                            </li>
                            <li >
                                <a href="settings.html" class="auto font-bold">
                                    <i class="material-icons">trending_up</i>
                                    <span>Settings</span>
                                </a>
                            </li>
                            <li  >
                                <a href="login.html" class="auto font-bold">
                                    <i class="material-icons">power_settings_new</i>
                                    <span>Logout</span>
                                </a>
                            </li>
                        </ul>
                    </nav>
                </div>
            </div>

            <div class="content-holder">
                <div id="main_section">
                    <?php echo $__env->yieldContent('content'); ?>
                </div>
            </div>

        </div>

        <footer>
            <div class="container-fluid left-reset">
                <div class="row">
                    <div class="col-md-1 hidden-sm hidden-xs">
                        <div class="logo-sector">
                            <div class="back-color">
                                <div class="img-area">
                                    <a href="">
                                        <img class="logout1" src="<?php echo e(url('img/logout.png')); ?>" alt="">
                                        <img class="logout2" src="<?php echo e(url('img/logout-2.png')); ?>" alt="">
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-md-11">
                        <div class="foot-sector">
                            <span class="foot-text">© 2017 Fbposter.  All rights reserved</span>
                        </div>
                    </div>

                </div>
            </div>
        </footer>
    </div>

</body>
<script type="text/javascript" src="<?php echo e(url('js/main.js')); ?>"></script>
<script type="text/javascript" src="<?php echo e(url('js/proApp.js')); ?>"></script>
<script src="<?php echo e(url('js/easy-responsive-tabs.js')); ?>"></script>
</html>